
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CYQ.Data V5 从入门到放弃ORM系列：教程 - Log、SysLogs两个日志类使用 / 憋错料</title>

    <meta name="description" content="CYQ.Data V5 从入门到放弃ORM系列：教程 - Log、SysLogs两个日志类使用 Log 静态类介绍: Public Static (Shared) Methods GetExceptionMessage 获取异常的内部信息 WriteLogToDB Overloaded. 将日志写到数据库中[需要配置LogConn项后方生效 ] WriteLogToTxt Overloaded. 将日志写到外部txt[web.config中配置路径,配置项为Logpath,默认路径为 &quot;Logs/&quot; ]  说明: 1:这个类很简单,主要的使用方法只有:WriteLogT ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">CYQ.Data V5 从入门到放弃ORM系列：教程 - Log、SysLogs两个日志类使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>Log 静态类介绍：</h1>
<h4>Public Static (Shared) Methods</h4>

<table>
<tbody>
<tr>
<td><img /><img /><a>GetExceptionMessage</a></td>
<td>获取异常的内部信息</td>
</tr>
<tr>
<td><img /><img /><a>WriteLogToDB</a></td>
<td>Overloaded. 将日志写到数据库中[需要配置LogConn项后方生效 ]</td>
</tr>
<tr>
<td><img /><img /><a>WriteLogToTxt</a></td>
<td>Overloaded. 将日志写到外部txt[web.config中配置路径，配置项为Logpath,默认路径为 "Logs/" ]&nbsp;</td>
</tr>
</tbody>
</table>
<h2>说明：</h2>
<p>1：这个类很简单，主要的使用方法只有：WriteLogToTxt。</p>
<p>2：WriteLogToDB这个方法（只是SysLogs的简单封装用法，内部用的较多，后续可能会屏蔽此方法，可以暂不介绍）。</p>
<p>3：<a>GetExceptionMessage只是从</a><a>Exception里获取字符串，所以没啥好说。</a></p>
<h1>Log类的Demo代码：</h1>

<pre> static void Main(string[] args)
        {
            ExeLog();
           // ExeSysLog();
            Console.Read();
        }

        static void ExeLog()
        {
            AppConfig.Log.IsWriteLog = true;
            AppConfig.Log.LogPath = "自定义错误日志";
            Log.WriteLogToTxt("这是错误信息");
            Log.WriteLogToTxt("这是错误信息", LogType.Assert);
            Log.WriteLogToTxt("这是错误信息", LogType.Debug);
            Log.WriteLogToTxt("这是错误信息", LogType.Error);
            Log.WriteLogToTxt("这是错误信息", LogType.Info);
            Log.WriteLogToTxt("这是错误信息", LogType.Warn);
            Console.WriteLine("请查看Debug目录");
        }
</pre>

<h2>运行后的目录情况：</h2>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzE3NDA4LzIwMTYwOC8xNzQwOC0yMDE2MDgyMTEwMTcyNTY1MS00NzgyNjYzNzcuanBn.jpg" /></p>
<h2>说明：</h2>
<p>1：AppConfig类对应属性都是可以配置在Web.Config或App.Config，示例代码中直接用代码配置了。</p>
<p>2：IsWriteLog要配置为True，才会写文本（不配置默认抛异常，不写日志）。</p>
<h1>SysLogs 实例类：</h1>
<h4>Public Instance Properties</h4>

<table>
<tbody>
<tr>
<td><img /><a>CreateTime</a></td>
<td>创建时间</td>
</tr>
<tr>
<td><img /><a>ID</a></td>
<td>标识主键</td>
</tr>
<tr>
<td><img /><a>LogType</a></td>
<td>日志类型</td>
</tr>
<tr>
<td><img /><a>Message</a></td>
<td>日志内容</td>
</tr>
<tr>
<td><img /><a>PageUrl</a></td>
<td>请求的地址</td>
</tr>
<tr>
<td><img /><a>UserName</a></td>
<td>记录者用户名&nbsp;</td>
</tr>
</tbody>
</table>

<h2>说明：</h2>
<p>1：SysLogs该类主要用来写数据库日志用（Log类是写文本）。</p>
<p>2：需要配置LogConn的数据库链接，如果和默认在同一个数据库，配置LogConn为Conn即可。</p>
<p>3：实例后用Insert方法即可。</p>
<h1>SysLogs 类的Demo代码：</h1>

<pre>static void ExeSysLog()
        {
            AppConfig.Log.LogConn = "txt path={0}txtdb";//演示只有用文本数据库来演示了
            AppConfig.Log.LogTableName = "MyLogs";//可以更改表名
            using (SysLogs sl=new SysLogs())//往数据库里写一条错误日志
            {
                sl.Message = "这是错误信息";
                sl.PageUrl = &ldquo;<a href="http://code.taobao.org/svn/cyqopen/trunk/CYQ.Data.GettingStarted/" rel="external nofollow noreferrer">http://code.taobao.org/svn/cyqopen/trunk/CYQ.Data.GettingStarted/</a>&rdquo;;
                sl.UserName = "路过秋天";
                sl.LogType = "Sys";
                sl.Insert();
                List&lt;SysLogs&gt; list = sl.Select&lt;SysLogs&gt;();
                Console.WriteLine("现在的有:" + list.Count + "条数据");
            }

            //
            Log.WriteLogToDB("呵呵", LogType.Error, "cyq");//和使用sysLogs一样。
        }</pre>

<h2>说明：</h2>
<p>1：需要指定LogConn：数据库对应的链接。</p>
<p>2：指定LogTableName：指定表名（不指定则默认表名为SysLogs）</p>
<p>3：如果默认没有对应的表，会自动创建。</p>
<p>4：实例后就是普通ORM的增删改查操作。</p>
<p>5：简化的写法是调用Log.WriteLogToDB。</p>
<h1>总结：</h1>
<p>经过不断的优化各简化后，最终对外的使用方法灰常的简单。</p>
<p>项目的Demo示例源码，用SVN checkout：<a href="http://code.taobao.org/svn/cyqopen/trunk/CYQ.Data.GettingStarted/" rel="external nofollow noreferrer">http://code.taobao.org/svn/cyqopen/trunk/CYQ.Data.GettingStarted/</a></p>
<p>最后谢谢大伙的支持！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 08:19:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>CYQ.Data V5 从入门到放弃ORM系列：教程 - Log、SysLogs两个日志类使用的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Ze2Nq0.html" rel="bookmark">CYQ&period;Data V5 从入门到放弃ORM系列：框架的优势</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 框架开源后,学习使用的人越来越多了,所以我也更加积极的用代码回应了. 在框架完成了:数据库读写分离功能 和 分布式缓存功能 后: 经过三天三夜的不眠不休,终于完成框架第三个重量级的功能:自动化分布式缓存. 源代码已经提交,源码地址见:终于等到你:CYQ.Data V5系列 (ORM数据层)最新版本开源了 记得很多年前,大概2010年左右吧,CYQ.Data框架进入快速更新版本阶段的时候, 那时候的我会经常在一些技术群里有意无意的说起自己的框架,然后群里总有那么一些自我而自负的人会说: 你			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dYlAr3.html" rel="bookmark">CYQ&period;Data V5 从入门到放弃ORM系列：教程 - MProc类使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MProc介绍 MProc:是一个用于执行SQL或存储过程的数据库操作类,它轻量高性能地类似于Dapper. MProc:它出现的场景很少,因为MAction自身就能处理掉90%-100%的数据操作(以存储过程为核心操作的除外) MProc项目Demo 1:项目图:只有一个控制台代码,说明此类的使用极度简单. 2:示例代码: 1 class Program 2 { 3 4 static void Main(string[] args) 5 { 6 //MAction已经演示了配置文件配置链接,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KqalO4.html" rel="bookmark">CYQ&period;Data 从入门到放弃ORM系列：开篇：自动化框架编程思维</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 随着CYQ.Data 开始回归免费使用之后,发现用户的情绪越来越激动,为了保持这持续的激动性,让我有了开源的念头. 同时,由于框架经过这5-6年来的不断演进,以前发的早期教程已经太落后了,包括使用方式,及相关介绍,都容易引人误解. 为此,我打算重新写个系列来介绍最新的版本,让大伙从传统的ORM编程过渡到自动化框架型思维编程(自已造的词). 于是:这个新系列的名称就叫:CYQ.Data 从入门到放弃ORM系列 什么是:CYQ.Data 1:它是一个ORM框架. 2:它是一个数据层组件. 3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QomBk0.html" rel="bookmark">终于等到你：CYQ&period;Data V5系列 （ORM数据层）最新版本开源了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 不要问我框架为什么从收费授权转到免费开源,人生没有那么多为什么,这些年我开源的东西并不少,虽然这个是最核心的,看淡了就也没什么了. 群里的网友:太平说: 记得一年前你开源另一个项目的时候我就说过 这么多年 秋天有两点没变 一是还是单身 另外一个就是cyq.data还没开源 终于等到开源了! 也许吧,只有把cyq.data最终开源了,才能解决单身问题,不然我在这上面花的时间太多,都没时间和妹子聊天了. 几个重要网址: 源码SVN地址:https://github.com/cyq1162/c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47EzXx0.html" rel="bookmark">CYQ&period;Data V5 分布式自动化缓存设计介绍（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 最近一段时间,开始了&lt;IT连&gt;创业,所以精力和写的文章多数是在分享创业的过程. 而关于本人三大框架CYQ.Data.Aries.Taurus.MVC的相关文章,基本都很少写了. 但框架的维护升级,还是时不时的在进行中的,这点从开源的Github上的代码提交时间上就可以看出来了. 毕竟&lt;IT连&gt;的后台WebAPI,用的是Taurus.MVC,后台系统管理用的是Aries. 不过今天,就不写创业相关的文章了,先分享篇技术类的文章. CYQ.Data 分布式自动缓存 之前写过一篇			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPBw7y3.html" rel="bookmark">CYQ&period;Data V5 数据库读写分离功能介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 好多年没写关于此框架的新功能的介绍了,这些年一直在默默地更新,从Nuget上的记录就可以看出来: 这几天在看Java的一些东西,除了觉的Java和.NET的相似度实在太高之外,就是Java太原始,急需被拯救. 之后又回到.NET的思维来,想着怎么在框架里实现读写分离控制请求切换. 之前几个月一直都有在思考,想及对框架现有的代码改动可能较大,所以迟迟没怎么下手. 最近终于在厕所蹲下的一瞬间,灵光一闪,感觉思绪来了,然后一鼓作气,就把它给作了. 数据库读写分离的三步曲 1:实现主(读)从(写)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6e5rW4.html" rel="bookmark">CYQ&period;Data V5 分布式缓存MemCached应用开发介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 今天大伙还在热议关于.NET Core的东西,我只想说一句:在.NET 跨平台叫了这么多年间,其实人们期待的是一个知名的跨平台案例,而不是一堆能跨平台的消息. 好,回头说说框架: 在框架完成数据库读写分离的功能后,开始回想起2年前所构思的:关于框架集成分布式缓存MemCached的实现. 之前一直没动手,是因为思路比较飘,秉承着框架应该简单干净轻量引用无依赖和使用不复杂的思维: 看着MemCached的服务端协议,整天思考着自己用Socket写一个客户端. 后来可能是没激情,迟迟没动手.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZYaYD0.html" rel="bookmark">CYQ&period;Data&period;Orm&period;DBFast 新增类介绍（含类的源码及新版本配置工具源码）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 以下功能在国庆期就完成并提前发布了,但到今天才有时间写文介绍,主要是国庆后还是选择就职了,悲催的是上班的地方全公司都能上网,唯独开发部竟不让上网,是个局域网. 也不是全不能上,房间里有三台能上网的机子(两台笔记本+一台台式机),下载资料还得用公司的U盘再转到自己电脑,这种半封闭的环境,相当的让人不适应,有种欲仰天吐血的感觉. 这一周我都向三个带总的领导反映了上网问题,不过没啥响应,估计是没戏. 于是我只有把其中一台能上网的笔记本拿到自己桌子上去独自占用了,勉强也能上下网了,不过基于安全问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41ad1k4.html" rel="bookmark">CYQ&period;Data 数据框架 使用篇一 入门指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文链接:http://www.cyqdata.com/cyqdata/article-detail-411 本文针对V5版本进行修改于(2016-07-04) 下面是使用步骤: 一:下载框架DLL[VS上在NuGet搜cyqdata,或者框架下载地址:下载中心] 下载框架后解压出:  1:CYQ.Data.dll和CYQ.Data.Xml(方法注释提示) 2:CYQ.Data.ProjectTool.exe (枚举或实体生成器) 3:API 帮助文档一份 4:更新记录.txt 5:VS集成Pr			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0bRlV0.html" rel="bookmark" class="title">对EV-Globe5&period;0资源体系的简单理解</a>
					<div>
						如果直接从OpenGL或DirectX底层做起的话,根本就不存在资源管理这一个思想.所谓的资源,就是说内容要从文件读取为我所用的那些文件,所以我们看到的更多的是模型.骨骼.材质.着色器.纹理.字体等等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMgy6p3.html" rel="bookmark" class="title">ftp--pureftpd1&period;0&period;46</a>
					<div>
						pureftpd的新版本1.0.46安装过程与之前的相同 但是之后的配置,有些许不同 pureftpd安装过程: # cd /usr/local/src # wget # cd pure-1.0.46 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0najvM.html" rel="bookmark" class="title">Tab系列 03 FragmentPagerAdapter &plus; Fragment &plus; ViewPager</a>
					<div>
						使用ViewPager + Fragment  + FragmentPagerAdapter 实现tab内容切换 创建一个Activity继承FragmentActivity 适配器: Fragmen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQXNB3.html" rel="bookmark" class="title">HashSet和TreeSet</a>
					<div>
						Set接口Set不允许包含相同的元素,如果试图把两个相同元素加入同一个集合中,add方法返回false.Set判断两个对象相同不是使用==运算符,而是根据equals方法.也就是说,只要两个对象用eq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXYWNX0.html" rel="bookmark" class="title">Algorithms&lpar;线段树&rpar;</a>
					<div>
						线段树 #ifndef LINETREE_H_INCLUDED #define LINETREE_H_INCLUDED typedef struct Node { int i, j; // 表示线段树 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmGBrD3.html" rel="bookmark" class="title">pandas的筛选功能，跟excel的筛选功能类似，但是功能更强大。</a>
					<div>
						Select rows from a DataFrame based on values in a column -pandas 筛选 https://stackoverflow.com/questi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGVxxM.html" rel="bookmark" class="title">jQuerychicun</a>
					<div>
						jQuery 尺寸 方法 jQuery 提供多个处理尺寸的重要方法: width() height() innerWidth() innerHeight() outerWidth() outerHei ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RDyxq4.html" rel="bookmark" class="title">C语言控制台窗体图形界面编程（总结）</a>
					<div>
						本系列文章是笔者通过学习&lt;C语言控制台窗体界面编程(修正版)&gt;而写(关于此文档的很多其它信息请看本系列文章第一篇),旨在让大家更加清晰简洁easy地学习C语言控制台窗体界面的编程. 通过本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWDQV3.html" rel="bookmark" class="title">django学习の模型</a>
					<div>
						orm:对象数据库和模型的映射.如果想以简单的方式去操作数据库,例如用类的方式去操作,就像 p = Person.get(id = 1),那么就必须使得代码和数据库的结构具有映射关系,实现这种关系,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVz6OQM.html" rel="bookmark" class="title">python学习笔记glob模块</a>
					<div>
						python有许多的类库,现将学习记录下来,以供以后回顾复习: 1.glob模块 用于文件名操作,匹配指定目录下的文件,常用的有两个函数: glob(pattern),返回匹配的文件的列表. iglo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lk5wLM.html" rel="bookmark" class="title">spring开篇</a>
					<div>
						Spring 开篇 Data access结构体系图 Spring的第一个案例 1.引依赖  jar包 beans自动引入core &lt;!-- beans --&gt;    &lt;depend ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MD8BoKM.html" rel="bookmark" class="title">使用Universal USB Installer安装Ubuntu</a>
					<div>
						1.下载Universal USB Installer 下载地址: 2.下载ubuntu 14 desktop.iso 运行Universal USB Installer,找到电脑上 ubuntu 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OnW1P0.html" rel="bookmark" class="title">docker容器里设置中文时区</a>
					<div>
						本文讨论docker容器里中文时区的问题,总所周知docker hub上的镜像默认都是英文时区的,在国人使用过程当中需要将时区设置成中文,我原来光配置/etc/localtime了date显示的时间也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmPXyM.html" rel="bookmark" class="title">MySQL学习笔记-大纲</a>
					<div>
						软件程序性能测试在之前&lt;品味性能之道&gt;系列中已经大量提到,讲解了很多测试方法.测试观念.测试思想等等.最近准备深入MySQL进行学习并总结.分别查阅&lt;MySQL性能调优与架构设计&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLWZ74.html" rel="bookmark" class="title">并查集入门</a>
					<div>
						我是看着&lt;啊哈!算法&gt;这本书完成并查集的入门,本想举出另外的栗子,奈何...书上的栗子已经很贴切了. 首先引入一个问题:已知有10个土匪,警方需要需要一点点顺藤摸瓜最后挖出他们各自背后的团 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49vq8nM.html" rel="bookmark" class="title">【16】AngularJS&amp;&num;160&semi;API</a>
					<div>
						AngularJS API API 意为 Application Programming Interface(应用程序编程接口). AngularJS 全局 API AngularJS 全局 API  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41emqP4.html" rel="bookmark" class="title">DataGridView 上增删改同步Access数据库</a>
					<div>
						准备工作: 用Visual Studio新建一个WinForm项目,在Form1中放上一个datagridview控件,两个按钮控件. 在项目所在文件夹目录bin/debug/ 下新建一个Access ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBzl1jM.html" rel="bookmark" class="title">ios7&lowbar;如何实现UIAlertView以及监听点击事件</a>
					<div>
						1.在viewController的.m文件,遵守&lt;UIAlertViewDelegate&gt;代理协议 @interface moboViewController () &lt;UIAler ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnyN93.html" rel="bookmark" class="title">每天一个Linux命令（52）telnet命令</a>
					<div>
						    执行telnet指令开启终端机阶段作业,并登入远端主机.     (1)用法:     用法:  telnet [参数] [主机]     (2)功能:     功能:  telnet命令通常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J2AOn4.html" rel="bookmark" class="title">转：SDL2源代码分析</a>
					<div>
						1:初始化(SDL_Init()) SDL简介 有关SDL的简介在&lt;最简单的视音频播放示例7:SDL2播放RGB/YUV&gt;以及&lt;最简单的视音频播放示例9:SDL2播放PCM&gt;中 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
